// SPDX-FileCopyrightText: 2024 KylinSoft Co., Ltd.
//
// SPDX-License-Identifier: GPL-1.0-or-later

#pragma once

#include "qwayland-slide.h"

namespace QtWaylandClient
{

class KdeSlide;

class KdeSlideManager : public QtWayland::org_kde_kwin_slide_manager
{
public:
    KdeSlideManager(wl_registry *registry, uint32_t id, int version);
    ~KdeSlideManager() override;

    KdeSlide *getKdeSlide(wl_surface *surface);
};

class KdeSlide : public QtWayland::org_kde_kwin_slide
{
public:
    KdeSlide(::org_kde_kwin_slide *slide);
    ~KdeSlide() override;
};

} // namespace QtWaylandClient
